/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package dao.impl;

import dao.DaoMesto;
import domen.Mesto;
import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 *
 * @author student
 */
public class DaoMestoImpl implements DaoMesto {

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("NJT");

    @Override
    public void sacuvaj(Mesto mesto) {
        EntityManager em = emf.createEntityManager();
        em.persist(mesto);
        em.getTransaction().begin();
        em.getTransaction().commit();
        em.close();
    }

    @Override
    public void sacuvajIliAzuriraj(Mesto mesto) {
        EntityManager em = emf.createEntityManager();
        em.getTransaction().begin();
        Mesto db_mesto = em.find(Mesto.class, mesto.getPtt());

        if (db_mesto == null) {
            em.persist(mesto);
            System.out.println("Mesto ne postoji, bice sacuvano.");
        } else {
//            db_mesto.setNaziv(mesto.getNaziv());
            db_mesto = em.merge(mesto);
            //db_mesto.setNaziv("N/A");
            System.out.println("Mesto postoji, bice azurirano.");
        }
        em.getTransaction().commit();
        em.close();
    }

    @Override
    public List<Mesto> vratiSve() {
        EntityManager em = emf.createEntityManager();
        List<Mesto> mesta = em.createQuery("SELECT m FROM Mesto m").getResultList();
        em.close();
        return mesta;
    }

}
