/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package dao.impl;

import dao.DaoPoslovniPartner;
import domen.FizickoLice;
import domen.PoslovniPartner;
import domen.PravnoLice;
import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.NoResultException;
import javax.persistence.Persistence;

/**
 *
 * @author student
 */
public class DaoPoslovniPartnerImpl implements DaoPoslovniPartner {

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("NJT");

    @Override
    public void sacuvaj(PoslovniPartner pp) {
        EntityManager em = emf.createEntityManager();
        em.getTransaction().begin();
        em.persist(pp);
        em.getTransaction().commit();
        em.close();
    }

    @Override
    public PoslovniPartner pronadji(PoslovniPartner pp) {
        PoslovniPartner partner = null;
        EntityManager em = emf.createEntityManager();

        if (pp instanceof PravnoLice) {
            try {
                partner = (PoslovniPartner) em.createQuery("SELECT pl FROM PravnoLice pl WHERE pl.pib=:pib").setParameter("pib", ((PravnoLice) pp).getPib()).getSingleResult();
            } catch (NoResultException e) {
                System.out.println("Nema pravnog lica");
            }
        }
        if (pp instanceof FizickoLice) {
            List<FizickoLice> fizickaLica = em.createQuery("SELECT fl FROM FizickoLice fl WHERE fl.jmbg=:jmbg").setParameter("jmbg", ((FizickoLice) pp).getJmbg()).getResultList();
            if(!fizickaLica.isEmpty()){
                //nismo proveravali koliko ima elemenata u listi
                partner = fizickaLica.get(0);
            }
        
        }
        return partner;
    }

}
